## foma 0.9.18%2Br243

=== debian/changelog ===
foma (0.9.18+r243-1) unstable; urgency=medium

  * Initial release (Closes: #809735)

 -- Timo Jyrinki <timo@debian.org>  Mon, 08 Feb 2016 11:11:27 +0200
