=== debian/watch ===
version=4
https://bitbucket.org/mhulden/foma/downloads/foma-([\d\.]+)\.tar\.gz
