## foma 0.10.0

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 libdir = $(exec_prefix)/lib
 bindir = $(exec_prefix)/bin
 includedir = $(prefix)/include
+pkgcfgdir = $(libdir)/pkgconfig
 
-VERSION = 0.9.18
-SVN_REV = $(shell svn info | grep "Last Changed Rev" | cut -f4 -d\ )
+VERSION = 0.10.0
 CC = gcc
 RANLIB = ranlib
 YACC = bison -v
@@ -16,7 +16,7 @@
 RM = /bin/rm -f
 LDFLAGS = -lreadline -lz -ltermcap
 FLOOKUPLDFLAGS = libfoma.a -lz
-CFLAGS = -O3 -Wall -D_GNU_SOURCE -std=c99 -fvisibility=hidden -fPIC -mmacosx-version-min=10.6 -DSVN_REV=$(SVN_REV)
+CFLAGS = -O3 -Wall -D_GNU_SOURCE -std=c99 -fvisibility=hidden -fPIC
 FOMAOBJS = foma.o stack.o iface.o lex.interface.o
 LIBOBJS = int_stack.o define.o determinize.o apply.o rewrite.o lexcread.o topsort.o flags.o minimize.o reverse.o extract.o sigma.o io.o structures.o constructions.o coaccessible.o utf8.o spelling.o dynarray.o mem.o stringhash.o trie.o lex.lexc.o lex.yy.o lex.cmatrix.o regex.o
 
@@ -61,6 +61,10 @@
 	FLOOKUPLDFLAGS = libfoma.a /usr/lib/libz.a
 endif
 
+ifeq ($(UNAME), MINGW64_NT-10.0-17763)
+	LDFLAGS = -lreadline -lz -lncurses
+endif
+
 LIBS = $(SHAREDLIBV) $(STATICLIB)
 
 libfoma: $(SHAREDLIBV)
@@ -70,14 +74,16 @@
 	$(RANLIB) $(STATICLIB)
 	$(CC) $(CFLAGS) -shared -Wl,$(DFLAG),$(SHAREDLIBM) -o $(SHAREDLIBV) $(LIBOBJS) $(LDFLAGS)
 
-install: foma libfoma
+install: foma libfoma libfoma.pc
 	-@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
 	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
 	-@if [ ! -d $(libdir)      ]; then mkdir -p $(libdir); fi
+	-@if [ ! -d $(pkgcfgdir)   ]; then mkdir -p $(pkgcfgdir); fi
 	-@if [ ! -d $(bindir)      ]; then mkdir -p $(bindir); fi
 	cp fomalib.h fomalibconf.h $(includedir);
 	chmod 644 $(includedir)/fomalib.h
 	cp foma flookup cgflookup $(bindir)
+	cp libfoma.pc $(pkgcfgdir)
 	cp $(LIBS) $(libdir)
 	cd $(libdir); chmod 755 $(LIBS); \
 	if test -f $(libdir)/$(SHAREDLIB); then rm  $(libdir)/$(SHAREDLIB); fi
@@ -87,6 +93,18 @@
 	>/dev/null 2>&1; \
 
 $(OBJS): foma.h
+
+libfoma.pc:
+	echo "prefix=${prefix}" > $@
+	echo 'exec_prefix=$${prefix}' >> $@
+	echo 'includedir=$${prefix}/include' >> $@
+	echo 'libdir=$${exec_prefix}/lib' >> $@
+	echo '' >> $@
+	echo 'Name: foma' >> $@
+	echo 'Description: The foma library' >> $@
+	echo 'Version: ${VERSION}' >> $@
+	echo 'Cflags: -I$${includedir}' >> $@
+	echo 'Libs: -L$${libdir} -lfoma' >> $@
 
 .c.o:
 	$(CC) $(CFLAGS) -c $< -o $@
@@ -103,8 +121,8 @@
 lex.cmatrix.c: cmatrix.l
 	$(LEXCMATRIX) $<
 
-regex.c regex.h: regex.y
+regex.c regex.h: regex.y constructions.o
 	$(YACC) --defines=$*.h --output=$*.c $<
 
 clean:
-	$(RM) foma flookup cgflookup $(FOMAOBJS) $(LIBOBJS) flookup.o cgflookup.o regex.h regex.c regex.output lex.yy.c lex.lexc.c lex.interface.c lex.cmatrix.c *.so* *.dylib* *.a
+	$(RM) foma flookup cgflookup $(FOMAOBJS) $(LIBOBJS) flookup.o cgflookup.o regex.h regex.c regex.output lex.yy.c lex.lexc.c lex.interface.c lex.cmatrix.c *.so* *.dylib* *.a libfoma.pc
