=== debian/changelog ===
foma (1:0.10.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release:
    + Adds runtime options interface.
    + Fixes numerous memory leaks and segfaults. (Closes: #958291)
    + Added patch to fix Blhc failures.
  * debian/control:
    + Swap libfoma0-dev and libfoma-dev.

  [ Kartik Mistry ]
  * Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Thu, 24 Feb 2022 19:49:05 +0530
