=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: foma
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
            Timo Jyrinki <timo@debian.org>,
            Kartik Mistry <kartik@debian.org>
@@ -10,12 +10,12 @@
                flex,
                libreadline-dev,
                libtinfo-dev,
-               libtool,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://fomafst.github.io/
 Vcs-Git: https://salsa.debian.org/science-team/foma.git
 Vcs-Browser: https://salsa.debian.org/science-team/foma
+Rules-Requires-Root: no
 
 Package: foma
 Architecture: any
@@ -40,12 +40,12 @@
  .
  This package provides runtime libraries for foma.
 
-Package: libfoma0-dev
+Package: libfoma-dev
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfoma0 (= ${binary:Version}), ${misc:Depends}
-Breaks: libfoma-dev (<< 1:0)
-Replaces: libfoma-dev (<< 1:0)
+Breaks: libfoma0-dev (<< 1:0.10.0)
+Replaces: libfoma0-dev (<< 1:0.10.0)
 Section: libdevel
 Description: Foma development files
  Compiler, programming language, and C library for
@@ -63,10 +63,10 @@
  This is dummy transitional package for foma. It can be
  safely remove.
 
-Package: libfoma-dev
+Package: libfoma0-dev
 Architecture: all
-Depends: libfoma0-dev (>= ${source:Version}), ${misc:Depends}
+Depends: libfoma-dev (>= ${source:Version}), ${misc:Depends}
 Section: oldlibs
-Description: Transitional package for libfoma0-dev
- This is dummy transitional package for libfoma0-dev. It can
+Description: Transitional package for libfoma-dev
+ This is dummy transitional package for libfoma-dev. It can
  be safely remove.
