## foma 0.10.0%2Bs311

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: foma
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
            Timo Jyrinki <timo@debian.org>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: bison,
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               cmake,
                debhelper-compat (= 13),
                flex,
                libreadline-dev,
-               libtinfo-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://fomafst.github.io/
 Vcs-Git: https://salsa.debian.org/science-team/foma.git
 Vcs-Browser: https://salsa.debian.org/science-team/foma
@@ -19,7 +21,7 @@
 
 Package: foma
 Architecture: any
-Depends: libfoma0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libfoma0t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: foma-bin (<< 1:0)
 Replaces: foma-bin (<< 1:0)
 Description: Tools for constructing various finite-state automata
@@ -27,7 +29,10 @@
  constructing finite-state automata and transducers for
  various uses.
 
-Package: libfoma0
+Package: libfoma0t64
+Provides: ${t64:Provides}
+Replaces: libfoma0
+Breaks: libfoma0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -43,10 +48,11 @@
 Package: libfoma-dev
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libfoma0 (= ${binary:Version}), ${misc:Depends}
+Depends: libfoma0t64 (= ${binary:Version}), ${misc:Depends}
 Breaks: libfoma0-dev (<< 1:0.10.0)
 Replaces: libfoma0-dev (<< 1:0.10.0)
 Section: libdevel
+Multi-Arch: same
 Description: Foma development files
  Compiler, programming language, and C library for
  constructing finite-state automata and transducers for
