## foma 0.10.0+s311.20240712

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 	# Require latest possible C standard
 	include(CheckCCompilerFlag)
-	foreach(flag "-std=c2x" "-std=c18" "-std=c17" "-std=c11" "-std=c1x" "-std=c99")
+	foreach(flag "-std=c18" "-std=c17" "-std=c11" "-std=c1x" "-std=c99")
 		string(REGEX REPLACE "[^a-z0-9]" "" _flag ${flag})
 		CHECK_C_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
 		if(COMPILER_SUPPORTS_${_flag})
