=== debian/changelog ===
foma (1:0.10.0+s311.20240712-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * New upstream git snapshot on 2024-07-12. (Closes: #1074963)
  * debian/control: Apply "wrap-and-sort -abst".
  * debian/control: Replace build-dependency: pkg-config => pkgconf.
  * debian/control: Drop transitional package foma-bin, libfoma0-dev.
    (Closes: #1038227)

  [ Debian Janitor ]
  * debian/control: Apply multi-arch hints: libfoma-dev: Use Multi-Arch: same.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jul 2024 18:28:26 -0400

foma (1:0.10.0+s311-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061941

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 09:05:09 +0000

foma (1:0.10.0+s311-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Debian Janitor ]
  * Apply hints suggested by the multi-arch hinter.

  [ Tino Didriksen ]
  * Fixes for GCC 13 and Visual Studio (closes: #1037663)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 31 Jul 2023 02:03:09 +0200
