=== debian/control ===
Source: foma
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders:
 Tino Didriksen <mail@tinodidriksen.com>,
 Timo Jyrinki <timo@debian.org>,
 Kartik Mistry <kartik@debian.org>,
Build-Depends:
 bison,
 cmake,
 dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 flex,
 libreadline-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://fomafst.github.io/
Vcs-Git: https://salsa.debian.org/science-team/foma.git
Vcs-Browser: https://salsa.debian.org/science-team/foma
Rules-Requires-Root: no

Package: foma
Architecture: any
Depends:
 libfoma0t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 foma-bin (<< 1:0),
Replaces:
 foma-bin (<< 1:0),
Description: Tools for constructing various finite-state automata
 Compiler, programming language, and C library for
 constructing finite-state automata and transducers for
 various uses.

Package: libfoma-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libfoma0t64 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libfoma0-dev (<< 1:0.10.0),
Replaces:
 libfoma0-dev (<< 1:0.10.0),
Description: Foma development files
 Compiler, programming language, and C library for
 constructing finite-state automata and transducers for
 various uses.
 .
 This package provides development headers and libraries
 for foma.

Package: libfoma0t64
Architecture: any
Section: libs
Multi-Arch: same
Provides: ${t64:Provides}
Replaces: libfoma0
Breaks: libfoma0 (<< ${source:Version})
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Foma runtime libraries
 Compiler, programming language, and C library for
 constructing finite-state automata and transducers for
 various uses.
 .
 This package provides runtime libraries for foma.
