=== debian/changelog ===
foma (1:0.10.0+s311.20250909-1) unstable; urgency=medium

  * Upstream fixes for various GCC15 and CMake versions (Closes: #1112925)
  * Snip patches that are merged upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 11 Sep 2025 09:00:01 +0200
